Skip to content
API referenceConsumerConsumer.devices

List node key rotations for a device in the current project

GET
/consumer/v1/devices/{id}/key-rotations

Returns audit records for node-key rotations on a device owned by the authenticated user.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Device ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/devices/55555555-5555-5555-5555-555555555555/key-rotations" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "items": [    {      "created_at": "2026-04-13T10:05:00Z",      "id": "66666666-6666-6666-6666-666666666666",      "new_node_key": "AQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQE=",      "old_node_key": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=",      "reason": "manual"    }  ]}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}